Loading...
Searching...
No Matches
gnu.c File Reference

## Macros

#define | _(String)
#define | BLKRRPART 0x125F
#define | GNU_SPECIFIC(dev)
#define | PED_TO_STORE(store, sector)

## Typedefs

typedef struct _GNUSpecific | GNUSpecific

## Functions

PedDevice * | ped_device_new_from_store (struct store *source)

## Variables

PedArchitecture | ped_gnu_arch

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## BLKRRPART

#define BLKRRPART 0x125F

## GNU_SPECIFIC

#define GNU_SPECIFIC | ( |  | dev | ) |

Value:
((GNUSpecific*) (dev)->arch_specific)
GNUSpecific
struct _GNUSpecific GNUSpecific
Definition gnu.c:44

## PED_TO_STORE

#define PED_TO_STORE | ( |  | store,
|  |  | sector )

Value:
(((sector) * PED_SECTOR_SIZE_DEFAULT) \
/ (store)->block_size)
PED_SECTOR_SIZE_DEFAULT
#define PED_SECTOR_SIZE_DEFAULT
Definition unit.h:35
sector
uint8_t sector
Definition pc98.c:7

## Typedef Documentation

## GNUSpecific

typedef struct _GNUSpecific GNUSpecific

## Function Documentation

## ped_device_new_from_store()

PedDevice * ped_device_new_from_store | ( | struct store * | source | ) |

## Variable Documentation

## ped_gnu_arch

PedArchitecture ped_gnu_arch

Initial value:
= {
dev_ops: &gnu_dev_ops,
disk_ops: &gnu_disk_ops
}